SHOWMOUNT(8)

BEZEICHNUNG
showmount - Einhängeinformationen für einen NFS-Server anzeigen

ÜBERSICHT
showmount [ -adehv ] [ --all ] [ --directories ] [ --exports ] [ --help ] [ --version ] [ Rechner ]

BESCHREIBUNG
showmount erfragt beim Einhänge-Daemon eines fernen Rechners Informationen zum Status des NFS-Servers auf diesem Rechner. Ohne Angabe von Optionen listet showmount die Clients auf, die etwas von diesem Rechner eingehängt haben. Die Ausgabe von showmount ist so gestaltet, als wäre sie mit sort -u verarbeitet worden.

OPTIONEN

-a oder --all
    listet sowohl Rechnername oder IP-Adresse des Clients als auch das eingehängte Verzeichnis im Format »Rechner:Verzeichnis« auf. Diese Informationen sollten nicht als zuverlässig angesehen werden. Siehe die Anmerkungen zur »rmtab«-Datei in rpc.mountd(8).

-d oder --directories
    liste nur die Verzeichnisse auf, die auf einem Client eingehängt sind.

-e oder --exports
    zeigt die Exportliste des NFS-Servers an.

-h oder --help
    gibt eine kurze Hilfe aus.

-v oder --version
    zeigt die aktuelle Versionsnummer des Programms an.

--no-headers
    unterdrückt die beschreibenden Überschriften in der Ausgabe.

SIEHE AUCH
rpc.mountd(8), rpc.nfsd(8)

FEHLER
Die Vollständigkeit und Genauigkeit der von showmount angezeigten Informationen ist von der Implementierung des NFS-Servers abhängig.

Da showmount die Ausgabe sortiert und Duplikate entfernt, kann anhand der Ausgabe unmöglich festgestellt werden, ob ein Client das gleiche Verzeichnis mehrfach eingehängt hat.

showmount kontaktiert den MNT-Dienst des Servers direkt. Nur-NFSv4-Server müssen ihre exportierten Root-Datei-Handles nicht über diese Methode veröffentlichen und könnten den MNT-Dienst möglicherweise nicht für Clients zur Verfügung stellen.

AUTOR
Rick Sladkey <jrs@world.std.com>

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).